function [ H ] = evaluate_hessian( x, c, A, b, t )
%EVALUATE_HESSIAN Summary of this function goes here
%   Detailed explanation goes here

[system_dim, constraint_num] = size(A);
H = speye(system_dim, system_dim);

for i = 1:constraint_num
    ai = A(:, i);
    aix2 = (ai'*x-b(i))^2;
    H = H + 1/(t*aix2) * (ai * ai');
end

end

